libgdamm Reference Documentation

Main Page Namespaces Book

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- ~

Here is a list of all class members with links to the classes they belong to:

### - o -

- Object() : Gnome::Gda::Object
- on_activated() : Gnome::Gda::Referer
- on_condition_changed() : Gnome::Gda::Query , Gnome::Gda::QueryJoin
- on_conn_closed() : Gnome::Gda::Connection
- on_conn_opened() : Gnome::Gda::Connection
- on_conn_to_close() : Gnome::Gda::Connection
- on_constraint_added() : Gnome::Gda::DictDatabase
- on_constraint_removed() : Gnome::Gda::DictDatabase
- on_constraint_updated() : Gnome::Gda::DictDatabase
- on_data_update_finished() : Gnome::Gda::DictDatabase
- on_data_update_started() : Gnome::Gda::DictDatabase
- on_deactivated() : Gnome::Gda::Referer
- on_dsn_changed() : Gnome::Gda::Connection
- on_end_of_data() : Gnome::Gda::DataModelIter
- on_error() : Gnome::Gda::Connection
- on_event_notification() : Gnome::Gda::Client
- on_field_added() : Gnome::Gda::DictDatabase
- on_field_removed() : Gnome::Gda::DictDatabase
- on_field_updated() : Gnome::Gda::DictDatabase
- on_g_type_changed() : Gnome::Gda::Column
- on_join_added() : Gnome::Gda::Query
- on_join_removed() : Gnome::Gda::Query
- on_join_updated() : Gnome::Gda::Query
- on_name_changed() : Gnome::Gda::Column
- on_numid_changed() : Gnome::Gda::QueryObject
- on_param_attr_changed() : Gnome::Gda::ParameterList
- on_param_changed() : Gnome::Gda::ParameterList
- on_param_plugin_changed() : Gnome::Gda::ParameterList
- on_post_changes_applied() : Gnome::Gda::DataProxy
- on_pre_changes_applied() : Gnome::Gda::DataProxy
- on_public_data_changed() : Gnome::Gda::ParameterList
- on_reset() : Gnome::Gda::DataModel
- on_restrict_changed() : Gnome::Gda::Parameter
- on_row_changed() : Gnome::Gda::DataModelIter
- on_row_delete_changed() : Gnome::Gda::DataProxy
- on_row_inserted() : Gnome::Gda::DataModel
- on_row_removed() : Gnome::Gda::DataModel
- on_row_updated() : Gnome::Gda::DataModel
- on_sample_changed() : Gnome::Gda::DataProxy
- on_sample_size_changed() : Gnome::Gda::DataProxy
- on_signal_changed() : Gnome::Gda::Object
- on_sub_query_added() : Gnome::Gda::Query
- on_sub_query_removed() : Gnome::Gda::Query
- on_sub_query_updated() : Gnome::Gda::Query
- on_table_added() : Gnome::Gda::DictDatabase
- on_table_removed() : Gnome::Gda::DictDatabase
- on_table_updated() : Gnome::Gda::DictDatabase
- on_target_added() : Gnome::Gda::Query
- on_target_removed() : Gnome::Gda::Query
- on_target_updated() : Gnome::Gda::Query
- on_transaction_status_changed() : Gnome::Gda::Connection
- on_type_changed() : Gnome::Gda::QueryJoin , Gnome::Gda::Query
- on_update_progress() : Gnome::Gda::DictDatabase
- open() : Gnome::Gda::Connection
- open_connection() : Gnome::Gda::Client
- open_connection_from_string() : Gnome::Gda::Client
- operator bool() : Gnome::Gda::ParameterList , Gnome::Gda::DataSourceInfo
- operator!=() : Gnome::Gda::DataModelIndex , Gnome::Gda::Value , Gnome::Gda::ColumnIndex
- operator=() : Gnome::Gda::DataSourceInfo , Gnome::Gda::ProviderInfo , Gnome::Gda::Value , Gnome::Gda::DataModelIndex , Gnome::Gda::Command
- operator==() : Gnome::Gda::Value , Gnome::Gda::ColumnIndex , Gnome::Gda::DataModelIndex
- order_fields_using_join_conds() : Gnome::Gda::Query